import random
from typing import Tuple, List

import pygame
from pygame import Surface

from models.GameObject import GameObject
from models.enums.EnumGameObjectType import EnumGameObjectType


battle_city_sprites = pygame.image.load('./resources/images/battle_city_sprites.png')
sprite_width = 32
sprite_size = (sprite_width, sprite_width)


class ComponentGameObject:
    def __init__(
            self,
            game_object: GameObject,
    ):
        super().__init__()

        self.game_object = game_object

        self.pygame_surfaces: List[pygame.Surface] = []

        if self.game_object.game_object_type == EnumGameObjectType.Brick:
            self.load_surface(sprite_x=16, sprite_y=0)
        elif self.game_object.game_object_type == EnumGameObjectType.Steel:
            self.load_surface(sprite_x=16, sprite_y=1)
        elif self.game_object.game_object_type == EnumGameObjectType.Forest:
            self.load_surface(sprite_x=17, sprite_y=3)
        elif self.game_object.game_object_type == EnumGameObjectType.Water:
            self.load_surface(sprite_x=16, sprite_y=2)
            self.load_surface(sprite_x=16, sprite_y=3)

    def load_surface(self, sprite_x, sprite_y):
        #TODO
        pass

    def update(self, delta_milisec):
        #TODO
        pass

    def render(self, screen: Surface):
        #TODO
        pass
